# DALoad

Creates an appropriate DA and loads its global vector from a file.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DALoad(PetscViewer viewer,PetscInt M,PetscInt N,PetscInt P,DA *da)

### Input Parameter

| viewer | - a binary viewer (created with PetscViewerBinaryOpen())
| M | - number of processors in x direction
| N | - number of processors in y direction
| P | - number of processors in z direction

### Output Parameter

da -the DA object

Level:intermediate
Location: src/dm/da/src/daload.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages